Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13172/?format=api
{ "ob_id": 13172, "uuid": "9edbe5a1f7f5496cbc5863e53335b4a9", "title": "Sentinel 2A Multispectral Instrument (MSI) Level 1C data", "abstract": "This dataset contains Top-of Atmosphere (TOA) reflectances in cartographic geometry (level 1C) processed data, from the Multispectral Instrument (MSI) aboard the European Space Agency (ESA) Sentinel 2A satellite. Sentinel 2A was launched on 23rd June 2015 and provides multispectral images of the earth’s surface as a continuation and enhancement of the Landsat and SPOT missions. Data are provided by the European Space Agency (ESA) and are made available via CEDA to any registered user in the UK.\r\n\r\nCEDA have switched to provide Sentinel 2 data for the UK and Dependencies along with data needed per project basis as of April 2019. Please contact us if you need data outside these areas and we will see what we can do.", "keywords": "Sentinel, Multispectral Instrument, MSI, Level 1C", "publicationState": "published", "dataPublishedTime": "2016-05-05T15:06:46", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14791/?format=api", "dataPath": "/neodc/sentinel2a/data/L1C_MSI/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1304858509243987, "numberOfFiles": 7839875, "fileFormat": "These data are JPG 2000 formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3586/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25943/?format=api" ], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the Collaborative Hub for use by the UK scientific community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/13167/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146230/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50497/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50498/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50494/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50495/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50625/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105027/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50496/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50624/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50493/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/13193/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }